/*jslint vars: true, plusplus: true, devel: true, nomen: true, regexp: true, indent: 4, maxerr: 50 */
/*global define, $ */
define(function () {
    "use strict";
    var widowsKiller = function () {
        var _this = $(this);
        var matchText = _this.find('.matched-hint').text();
        if (matchText !== 'w' && matchText !== 'wi' && matchText !== 'wid') {
            return false;
        }
        if (_this.text() !== 'widows') {
            return true;
        }
        var parent = _this.closest('li');
        if (_this.closest('a').hasClass('highlight')) {
            parent.next('li').find('a').addClass('highlight');
        }
        parent.remove();
        return false;
    };
    var keyupListener = function (e) {
        if (e.keyCode === 87 || e.keyCode === 73 || e.keyCode === 68 || e.keyCode === 8) {
            $('#codehint-menu-bar .brackets-css-hints').each(widowsKiller);
        }
    };
    $('body').on('keyup', keyupListener);
});
